#1514 closed defect (fixed)

Libblock propagate sync calls to driver.

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 4.10
Component: lib/block Version: 4.10
Severity: blocker Keywords:
Cc: sebastian.huber@… Blocked By:
Blocking:

Description

The libblock needs to propagate to the sync call to driver(s) once the data has been flushed from the cache. This allows a driver the ability to flush the data to the hardware.

This bug is to fix libblock and to propagate the call not to fix any drivers. This can be part of the on going work in RTEMS.

Attachments (1)

bdbuf-sync-ioctl.diff (7.0 KB) - added by Chris Johns on May 14, 2010 at 2:54:24 AM.
Add sync ioctl after sync'ing data.

Download all attachments as: .zip

Change History (5)

Changed on May 14, 2010 at 2:54:24 AM by Chris Johns

Attachment: bdbuf-sync-ioctl.diff added

Add sync ioctl after sync'ing data.

comment:1 Changed on May 17, 2010 at 6:06:43 AM by Sebastian Huber

Cc: Sebastian Huber added

comment:2 Changed on May 18, 2010 at 1:14:40 AM by Chris Johns

Resolution: fixed
Status: assignedclosed

comment:3 Changed on May 18, 2010 at 1:15:05 AM by Chris Johns

Closed.

comment:4 Changed on Oct 10, 2017 at 6:49:52 AM by Sebastian Huber

Component: fslib/block
Note: See TracTickets for help on using tickets.